music123 (16.6-6build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:58:32 +1100

music123 (16.6-6build1) noble; urgency=medium

  * No-change rebuild for gnat-13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Mar 2024 17:27:01 +0100

music123 (16.6-6) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 16:23:23 +0100

music123 (16.6-5) experimental; urgency=medium

  * Build with dh-ada-library >= 8.1, therefore in experimental.
  * Standards-Version: 4.6.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 30 Aug 2022 10:21:34 +0000

music123 (16.6-4) unstable; urgency=medium

  * BUILDER_OPTIONS is replaced by GNATMAKEFLAGS, not GPRBUILDFLAGS.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 08 Jun 2022 13:17:42 +0000

music123 (16.6-3) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Configure branch names for git-buildpackage

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 18:30:44 +0200

music123 (16.6-2) experimental; urgency=medium

  * Rebuild with gcc-11 in experimental.
    Adapt to new debian_packaging.mk.
  * Debhelper 13.  Standards-Version 4.6.0.
  * Mark tests as superficial.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Mar 2022 22:45:30 +0000

music123 (16.6-1) unstable; urgency=medium

  * New upstream release.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 22 Apr 2020 00:04:23 +0200

music123 (16.5-1) unstable; urgency=medium

  * New upstream release.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 17 Apr 2020 20:25:13 +0200

music123 (16.4-4) unstable; urgency=medium

  * Move VCS to salsa.debian.org.
  * Debhelper 12, Standards-Version 4.4.1, Rules-Requires-Root no.
  * Wrap and sort build dependencies.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 10 Dec 2019 23:01:30 +0100

music123 (16.4-3) unstable; urgency=medium

  * Debhelper 11.
  * Drop obsolete version restrictions in Build-Dependencies.
  * Set me as maintainer until someone adopts the package.
  * Update format for VCS-Mtn URL.
  * Standards-Version 4.1.4.
  * Replace watch/get-orig-source with a human-readable README.source.
  * copyright: HTTPS format URL, drop obsolete Upstream-Contact.
  * Add minimal runtime test.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Apr 2018 12:56:16 +0200

music123 (16.4-2) unstable; urgency=medium

  * Rebuild with gnat-6 and all hardening flags.
  * Standards-Version: 3.9.8 (no changes)

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 27 Apr 2016 17:57:22 +0200

music123 (16.4-1) unstable; urgency=medium

  * New upstream release, requiring gnat >= 4.9.
  * control: Standards-Version: 3.9.6 (no changes).
  * rules: let binary be the default target.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 20 Oct 2015 23:44:08 +0200

music123 (16.3-6) unstable; urgency=low

  * Update Debian Maintainer email address, ipno => csnsm

 -- Xavier Grave <xavier.grave@csnsm.in2p3.fr>  Mon, 28 Apr 2014 10:41:18 +0200

music123 (16.3-5) unstable; urgency=medium

  * Build-Depends: gnat with debian_packaging.mk. Closes: #746069.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 27 Apr 2014 23:56:42 +0200

music123 (16.3-4) unstable; urgency=low

  [Nicolas Boulenguez]
  * control: only Recommend alsa-utils on Linux architectures.
  * source/options: use default compressor for Debian diff.

  [Xavier Grave]
  * compile using gnat-4.8
  * Standards-Version: 3.9.5. Remove DM-Upload-Allowed field

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Sat, 02 Nov 2013 12:48:18 +0100

music123 (16.3-3) unstable; urgency=low

  * Standard-Versions 3.9.3: updated DEP URL in copyright file.
  * debhelper 9: no changes (upstream Makefile ignores environment).
  * control: executables do not need depending on versioned gnat.
  * rules: existence of buildflags.mk guaranteed by dpkg-dev (1.16.1).
    Use dh-ada-library Makefile snippet for build flags and parralelism.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Thu, 17 May 2012 10:14:12 +0200

music123 (16.3-2) unstable; urgency=low

  * revert get-orig-source to give last upstream version as did the
    Nicolas' solution which is respecting debian-policy requirements
  * remove the minus in front of include in debian/rules
    preferred solution enclose the include in a test

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Sun, 30 Oct 2011 21:31:25 +0100

music123 (16.3-1) unstable; urgency=low

  [Nicolas Boulenguez]
  * New upstream (Closes: #572890).
  * control (Build-Depends): dpkg-dev (>= 1.16.1) to set CFLAGS.
    (Recommends): alsa-utils/aplay
    instead of esound-clients/esdplay, removed from Debian.
  * source/options: compression for debian patch.
  * rules: get-orig-source now respect debian-policy requirements,
    Debian default LDFLAGS are used.

  [Xavier Grave]
  * adapt debian/rules file to avoid pbuilder clean pass problem
  * get-orig-source now generates tar.gz file containing the changelog version
  * new upstream : task to handle commands

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Sun, 30 Oct 2011 01:40:59 +0200

music123 (16.2-3) unstable; urgency=low

  [Xavier Grave]
  * Build with gnat-4.6
  * Fix some lintian warnings
  * Enhance get-orig-source target
  * Go for debhelper 8.1.3
  * Add a patch to avoid clean target error with pbuilder

  [Nicolas Boulenguez]
  * Switched to 3.0 (quilt) source format.
  * copyright: DEP-5 compliant.
  * rules: simplified with debhelper overrides.
  * control (Uploaders): added myself.
    (Homepage): canonical domain name.
    (Standards-Version): 3.9.2
  * watch: contains only comments, no upstream tarballs outside debian.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Tue, 27 Sep 2011 12:37:59 +0200

music123 (16.2-2) unstable; urgency=low
  * 16.0-1 reached testing

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Tue, 16 Mar 2010 15:21:26 +0100

music123 (16.2-1) experimental; urgency=low
  * New upstream version.
    - use Ada.Containers.Vectors
      use temporary file list for the sort before appending
      files in a directory
    Closes: #239769.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Mon,  8 Mar 2010 10:54:20 +0100

music123 (16.0-1) unstable; urgency=low

  [Xavier Grave]
  * New upstream version.
    Closes: #444319, #437601, #541738.
  * New Maintainer taking charge with permission from the previous maintainer
    Closes: #571190.
  * separate sources from debian directory
    - with the help of monotone and www.ada-france.org
  * Architecture support changes to any.  Closes: #568449.
  * upgrade to gnat-4.4
    - build depend on gnat
    Closes: #571191.

  [Ludovic Brenta]
  * Sponsor the package.
  * DM-Upload-Allowed: yes.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Thu,  4 Mar 2010 11:14:20 +0100

music123 (15-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Switch to gnat-4.3.  Closes: #485663.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 13 Sep 2008 16:14:19 +0200

music123 (15-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to gnat 4.1.  Closes: #376673.

 -- Matej Vela <vela@debian.org>  Wed, 12 Jul 2006 11:18:59 +0200

music123 (15) unstable; urgency=low

  * NMU New Maintainer: Maxime ROBACHE. Closes: #285163.
  * Man and program update concerning ~/.music123rc. Closes: #297716.
  * New architecture support : kfreebsd-amd64. Closes: #361625.

 -- Maxime ROBACHE <mrobache@linux.utc.fr>  Mon, 17 Apr 2006 22:20:00 +0000

music123 (14.2) unstable; urgency=medium

  * QA upload.
  * Switch to gnat 4.0.  Closes: #357296.
  * support_routines.adb: Fully qualify GNAT.IO_Aux.Get_Line to avoid
    ambiguity with Ada.Text_IO.Get_Line.
  * Switch to debhelper.
  * debian/copyright:
    - Update FSF address.
    - Fix GPL path.
  * debian/rules: Add support for DEB_BUILD_OPTIONS=noopt.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Thu, 16 Mar 2006 22:37:36 +0100

music123 (14.1) unstable; urgency=low
  * NMU with maintainer permission.
  * Orphaning the package.
  * Switch to gnat-3.4 as gnat-3.3 is not available anymore.
  * Added mips, mipsel, ppc64 and kfreebsd-i386 to the list of supported
    architectures (closes: bug#333014, bug#301104, bug#345064).
  * Remove suggestion of vorbis-tools as it is already in recommends.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 29 Dec 2005 08:48:17 +0100

music123 (14) unstable; urgency=low
  * The lovely lace release.
  * Added AMD64 to the architecture list. (Closes: #251586)
  * Add a comment about playing files with mplayer.
  * Except for the version number, the code and resulting assembly
    (on ix86) is unchanged.

 -- David Starner <dvdeug@debian.org>  Sat, 12 Jun 2004 15:49:01 -0700

music123 (13) unstable; urgency=low
  * Light a candle release
  * Note that recent versions of vorbis-tools support Ogg Flac
    and Ogg Speex, too, and suggest them.
  * Add a note in README about music123 not handling sound; look in
    ogg123 and mpg123 if the sound doesn't play. (Closes: #211917)
  * Fix the randomization function to use the algorithm from
    Knuth; I don't know that it works any better, but the placebo
    effect should work for, not against this one. (Closes: #184537)

 -- David Starner <dvdeug@debian.org>  Tue, 16 Dec 2003 02:47:55 -0800

music123 (12) unstable; urgency=low
  * Delete mips/mipsel from the architecture list, as
    gnat-* doesn't seem to exists over there.
  * Also remove gnat3.2 from build-depends.

 -- David Starner <dvdeug@debian.org>  Fri, 03 Oct 2003 11:45:34 -0700

music123 (11) unstable; urgency=low
  * The lost world release.
  * Since mips/mipsel can't build gnat3.3, accept gnat3.2.

 -- David Starner <dvdeug@debian.org>  Mon, 15 Sep 2003 02:33:38 -0700

music123 (10) unstable; urgency=low

  * The lost actress release.
  * The conffile had some entries with mixed case and some only
    in lower case. Changed all to include upper, title and lower
    case. Note this is a conffile change, and the program only
    recognizes the exact case given in the conffile. (Closes: #191741)
  * Update policy version and Build-Depends.
  * Upstream Author(s) is a compromise decision of the upstream
    author(s).

 -- David Starner <dvdeug@debian.org>  Thu, 11 Sep 2003 23:45:38 -0700

music123 (9) unstable; urgency=low

  * The incompentent genius release.
  * Add a Polish translation which was sent to me in July.
    Thanks, Grzegorz "Konik" Kusnierz.
  * Correct various places where I thought I had updated
    the translation music123-8 release; sorry, Martin Quinson and
    Joost van Baal.

 -- David Starner <dvdeug@debian.org>  Thu, 19 Sep 2002 19:11:16 -0500

music123 (8) unstable; urgency=low

  * The quiet mathematician release.
  * Add delay option. (Closes: #139801)
  * Seperate out manpage.
  * Fix minor bug where -@ would include its argument in the file list.
  * If you speak a non-English language, music123 has less then 20 strings
    and a hundred line manpage, both of which can be translated. Please
    help.

 -- David Starner <dvdeug@debian.org>  Mon, 20 May 2002 00:14:19 -0500

music123 (7) unstable; urgency=low

  * The lonely male geek release.
  * The version of GNAT changed, meaning the soname of libgnat changed.
  * Recompile to fix that, and add build-depends so build daemons don't
    have the problem.

 -- David Starner <dvdeug@debian.org>  Mon, 11 Feb 2002 02:35:37 -0600

music123 (6) unstable; urgency=low

  * Remove misleading statement from changelog.
  * Fix build-depends.
  * Change maintainer from dstarner98@aasaa.ofe.org to dvdeug@debian.org.

 -- David Starner <dvdeug@debian.org>  Thu, 20 Dec 2001 22:56:37 -0600

music123 (5) unstable; urgency=low

  * I18N support added.
  * No other changes.

 -- David Starner <dvdeug@debian.org>  Tue, 11 Dec 2001 20:47:02 -0600

music123 (4) unstable; urgency=low

  * Manpage fix. (Closes: #115230).
  * No other changes.

 -- David Starner <dstarner98@aasaa.ofe.org>  Mon, 15 Oct 2001 13:29:24 -0500

music123 (3) unstable; urgency=low

  * Added information to the copyright file (Closes: #108771).
  * Random randomizes the file list better.
  * README fixes. (Closes: #110447).
  * Added -D (no delay) option. (Closes: #108772).
  * Added -l (loop) and -Z (random loop).
  * I18N changes put off until the next release.

 -- David Starner <dstarner98@aasaa.ofe.org>  Mon, 10 Sep 2001 18:12:02 -0500

music123 (2) unstable; urgency=low

  * Hopefully, _this_ one will be the first release into Debian.
  * Build-depends syntax is fixed.
  * Much improved startup time in the worst case.
  * Dropped libgtkada-dev build-dependency.
  * Playlist capability

 -- David Starner <dstarner98@aasaa.ofe.org>  Tue, 31 Jul 2001 22:54:05 -0500

music123 (1) unstable; urgency=low

  * First release.

 -- David Starner <dstarner98@aasaa.ofe.org>  Tue, 31 Jul 2001 22:54:05 -0500
